### Method

# Gdk TextureDownloader download_into

since: 4.10

#### Declaration [src]

    void
    gdk_texture_downloader_download_into (
      const GdkTextureDownloader* self,
      guchar* data,
      gsize stride
    )

#### Description [src]

Downloads the `texture` into local memory.

This function cannot be used with a multiplanar format.

Available since: 4.10

#### Parameters

`data`

  Type: An array of `guchar`

  Pointer to enough memory to be filled with the downloaded data of the texture.

  The data is owned by the caller of the method.

`stride`

  Type: `gsize`

  Rowstride in bytes.